PETSc version 3.15.5
Fix/Edit manual page

# DMPlexIsDistributed

Find out whether this DM is distributed, i.e. more than one rank owns some points.

### Synopsis

    #include "petscdmplex.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMPlexIsDistributed(DM dm, PetscBool *distributed)

Collective

### Input Parameter

| dm | - The DM object

### Output Parameter

| distributed | - Flag whether the DM is distributed

### Notes

This currently finds out whether at least two ranks have any DAG points. This involves MPI_Allreduce() with one integer. The result is currently not stashed so every call to this routine involves this global communication.

### See Also

DMPlexDistribute(), DMPlexGetOverlap(), DMPlexIsInterpolated()

### Level

intermediate

### Location

src/dm/impls/plex/plexdistribute.c

### Examples

src/dm/impls/plex/tutorials/ex5.c.html
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages